Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.el.lang
Class ExpressionBuilder

    java.lang.Object
      com.sun.el.lang.ExpressionBuilder

All Implemented Interfaces:
  NodeVisitor

    public final class ExpressionBuilder

extends Object
implements NodeVisitor

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Jacob Hookom [jacob@hookom.net]

Constructor Summary
`ExpressionBuilder(String expression, ELContext ctx)`

Method Summary
`MethodExpression` | `createMethodExpression(Class expectedReturnType, Class[] expectedParamTypes)`
`static Node` | `createNode(String expr)`
`ValueExpression` | `createValueExpression(Class expectedType)`
`void` | `visit(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionBuilder

    public ExpressionBuilder(String expression,
                             ELContext ctx)
                      throws ELException

Throws:
  `ELException`

Method Detail

### createNode

    public static final Node createNode(String expr)
                                 throws ELException

  Throws:
    `ELException`

### visit

    public void visit(Node node)
               throws ELException

  Specified by:
    `visit` in interface `NodeVisitor`
  Throws:
    `ELException`

### createValueExpression

    public ValueExpression createValueExpression(Class expectedType)
                                          throws ELException

  Throws:
    `ELException`

### createMethodExpression

    public MethodExpression createMethodExpression(Class expectedReturnType,
                                                   Class[] expectedParamTypes)
                                            throws ELException

  Throws:
    `ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.